# ScoDoc7 service 
#  Zope based
#  Depends on postgresql
#  => is restarted when postgresql restarts
#
[Unit]
Description=ScoDoc 7 service
After=network.target postgresql@11-main.service
Requires=postgresql@11-main.service
PartOf=postgresql@11-main.service
StartLimitIntervalSec=0

[Service]
Type=forking
PIDFile=/opt/scodoc/var/Z2.pid
Restart=always
RestartSec=1
User=root
ExecStart=/opt/scodoc/bin/zopectl start
ExecStop=/opt/scodoc/bin/zopectl stop
ExecReload=/opt/scodoc/bin/zopectl restart

[Install]
WantedBy=postgresql@11-main.service
